.nav-mobile {
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    z-index: 950;
    overflow: hidden;
    position: fixed;
    background-color: white;
    display: flex;
    flex-direction: column;
    transform: translateX(-110%);
    transition: var(--transition-time);

    &__header {
        position: relative;
        height: rem(88);
        padding: rem(32) rem(32) rem(20) rem(32);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &:before {
            bottom: 0;
            content: '';
            left: rem(24);
            right: rem(24);
            position: absolute;
            border-bottom: 1px solid var(--gray-10);
        }

        &--blue {
            color: white;
            background-color: var(--blue);

            &:before {
                display: none;
            }
        }
    }

    &__logo {
        display: block;
        width: rem(194);
        flex-shrink: 0;
    }

    &__body {
        flex-grow: 1;
        position: relative;
    }

    &__scroll {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        position: absolute;
        overflow-x: hidden;
        overflow-y: auto;
    }

    &__wrap {
        padding: rem(24) rem(32) rem(32) rem(32);
        display: flex;
        flex-direction: column;
        row-gap: rem(24);
    }

    &__divider {
        height: 1px;
        background-color: var(--gray-10);
    }

    &__menu {
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(22);
        display: flex;
        flex-direction: column;
        row-gap: rem(16);
    }

    &__parent {
        fill: var(--gray-60);
        color: var(--gray-80);
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: space-between;

        span {
            display: block;
        }

        i {
            font-size: 0;
            line-height: 0;
            width: rem(16);
            height: rem(16);
            display: block;
            flex-shrink: 0;
        }

        &:hover {
            color: var(--gray-80);
            text-decoration: none;
        }
    }

    &__link {
        color: var(--gray-50);
        display: block;
        font-size: rem(13);
        line-height: rem(20);
        text-decoration: underline;

        &:hover {
            color: var(--gray-50);
            text-decoration: none;
        }
    }

    &__child {
        top: 0;
        left: 0;
        bottom: 0;
        width: 100%;
        z-index: 300;
        position: absolute;
        background-color: white;
        display: flex;
        flex-direction: column;
        opacity: 0;
        visibility: hidden;
        transform: translateX(-110%);
        transition: var(--transition-time);

        &.active {
            opacity: 1;
            visibility: visible;
            transform: translateX(0%);
            transition: var(--transition-time);
        }
    }

    &__heading {
        fill: white;
        color: white;
        cursor: pointer;
        display: flex;
        align-items: center;
        column-gap: rem(10);
        font-weight: 500;
        font-size: rem(20);
        line-height: rem(26);

        i {
            font-size: 0;
            line-height: 0;
            height: rem(24);
            width: rem(24);
            display: block;
            flex-shrink: 0;
        }
    }

    &__info {
        display: flex;
        align-items: flex-start;
        flex-direction: column;
        row-gap: rem(4);
    }

    &.nav-catalog-open {

        .nav-mobile__catalog {
            transform: translateX(0%);
            transition: var(--transition-time);
        }
    }

    @include media-breakpoint-up(sm) {
        width: rem(360);
    }

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.nav-mobile-layout {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 940;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.7);
    opacity: 0;
    visibility: hidden;
    transition: var(--transition-time);

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.mobile-catalog {
    font-size: rem(15);
    line-height: rem(22);
    display: flex;
    flex-direction: column;
    row-gap: rem(16);

    &__link {
        font-weight: 500;
        color: var(--gray-80);
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &:hover {
       //     color: var(--primary);
            text-decoration: none;
        }

        i {
            font-size: 0;
            line-height: 0;
            display: block;
            flex-shrink: 0;
            width: rem(16);
            height: rem(16);
            transform: rotate(90deg);
            transition: var(--transition-time);
        }
    }

    &__item {

        &.open {

            .mobile-catalog__link {
                color: var(--primary);

                i {
                    transform: rotate(-90deg);
                    transition: var(--transition-time);
                }
            }
        }
    }

    &__content {
        display: none;
    }

    &__children {
        font-size: rem(14);
        line-height: rem(24);
        padding-top: rem(16);
        display: flex;
        flex-direction: column;
        row-gap: rem(8);
    }

    &__child {
        display: block;
        color: var(--gray-60);
        text-decoration: none;

        &:hover {
            color: var(--gray-60);
            text-decoration: none;
        }
    }
}

.nav-open {
    overflow: hidden;

    .header-burger {

        span {
            opacity: 0;
        }

        &:after {
            transform: translateY(-5px) translateX(0) rotate(45deg);
        }

        &:before {
            transform: translateY(5px) translateX(0) rotate(-45deg);
        }
    }

    .nav-mobile {
        transform: translateX(0);
        transition: var(--transition-time);
    }

    .nav-mobile-layout {
        opacity: 1;
        visibility: visible;
        transition: var(--transition-time);
    }

    @include media-breakpoint-up(xl) {
        overflow: visible;
    }
}
